Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 208316 - pygrub traceback when moving cursor one to the right and backspacing
Summary: pygrub traceback when moving cursor one to the right and backspacing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-09-27 20:19 UTC by Jesse Keating
Modified: 2013-01-10 02:33 UTC (History)
4 users (show)

Fixed In Version: xen-3.0.3-6.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-01 17:21:49 UTC


Attachments (Terms of Use)

Description Jesse Keating 2006-09-27 20:19:34 UTC
Or moving cursor as far right as it'll go.

Traceback (most recent call last):
  File "/usr/bin/pygrub", line 483, in ?
    curses.wrapper(run_main)
  File "/usr/lib/python2.4/curses/wrapper.py", line 44, in wrapper
    return func(stdscr, *args, **kwds)
  File "/usr/bin/pygrub", line 439, in run_main
    sel = g.run()
  File "/usr/bin/pygrub", line 346, in run
    self.run_main(timeout)
  File "/usr/bin/pygrub", line 389, in run_main
    l = self.edit_line(line)
  File "/usr/bin/pygrub", line 259, in edit_line
    ret = t.edit()
  File "/usr/bin/pygrub", line 135, in edit
    r = curses.textpad.Textbox.edit(self)
  File "/usr/lib/python2.4/curses/textpad.py", line 157, in edit
    if not self.do_command(ch):
  File "/usr/bin/pygrub", line 120, in do_command
    self.line.pop(self.pos)
IndexError: pop index out of range
Error: Boot loader didn't return any data!

Comment 1 Bastien Nocera 2006-11-13 14:11:51 UTC
bug 215316 contains the patch from upstream:
changeset:   12326:14dc20d98ee1
user:        Tim Deegan <Tim.Deegan@xensource.com>
date:        Thu Nov 09 14:23:24 2006 +0000
summary:     [PYGRUB] Fix a few bounds violations in pygrub's command-line editor.

Comment 2 Daniel Berrange 2007-02-15 19:10:14 UTC
Fix on its way to updates-testing in xen-3.0.3-6.fc6

Rawhide is already updated to xen 3.0.4


Comment 3 Daniel Berrange 2007-03-01 17:21:49 UTC
This errata is now in FC6 'updates'.



Note You need to log in before you can comment on or make changes to this bug.